## Name

CHD/CHX — Change working data directory / Change working execution directory

## Synopsis

`chd` `pathlist`

`chx` `pathlist`

## Description

These are shell “built in” commands used to change OS-9's working data directory or working execution directory. Many commands in OS-9 work with user data such as text files, programs, etc. These commands assume that a file is located in the working data directory. Other OS-9 commands will assume that a file is in the working execution directory.

NOTE: These commands do not appear in the CMDS directory as they are built-in to the shell.

For more information see: the section called “Using and Changing Working Directories”, the section called “Changing Current Working Directories”

## Examples

    chd /d1/PROGRAMS

    chx ..

    chx binary_files/test_programs

    chx /D0/CMDS; chd /D1